> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/api-reference/wave-open-api/prerequest.md).

# Pre-request

open apiを使用するためのtokenを取得する必要があります。

**Response Format**

```
{
    token_type : string
    expires_in : number
    access_token : string
}
```

| Response value | type     | description |
| -------------- | -------- | ----------- |
| `token_type`   | *string* | 認証スキーム      |
| `expires_in`   | *number* | 期限 43200秒   |
| `access_token` | *string* | token値      |

## Token取得

openapiで使用するtokenを取得

**Request**

```http
POST /v1/access_token HTTP1.1
Content-Type: form-data

{request body}
```

`{request body}` の例

```ruby
{
  "grant_type":"client_credentials",
  "client_id":"test-client-id",
  "client_secret":"ABCDEFGHI"
}
```

| Body            | description |
| --------------- | ----------- |
| `grant_type`    | 固定値         |
| `client_id`     | 顧客ID        |
| `client_secret` | 顧客Secret    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/api-reference/wave-open-api/prerequest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
